#
# spec file for package gnome-hearts
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gnome-hearts
Version:        0.3.1
Release:        lp152.2.5
Summary:        Hearts game for GNOME
License:        GPL-2.0-or-later AND GFDL-1.2-or-later
Group:          Amusements/Games/Board/Card
URL:            http://www.jejik.com/gnome-hearts/
Source0:        http://www.jejik.com/files/gnome-hearts/%{name}-%{version}.tar.gz
BuildRequires:  automake
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  pkgconfig(libglade-2.0)
BuildRequires:  pkgconfig(libgnomeui-2.0)
BuildRequires:  pkgconfig(python2)
BuildRequires:  scrollkeeper
Requires:       gtk2-engine-murrine
Requires:       python-base
Recommends:     %{name}-lang

%description
An implementation of the classic hearts card game for the GNOME desktop,
featuring configurable rulesets and editable computer opponents to satisfy
widely diverging playing styles.

%lang_package

%package doc
Summary:        Documentation for %{name}
Group:          Documentation/Other
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description doc
This package provides the documentations for %{name}.

%prep
%setup -q
sed -i "s/\(Icon=\).*/\1%{name}/" %{name}.desktop.in
sed -i '/^Name=/d' %{name}.desktop.in

%build
autoreconf -fiv
%configure
make %{?_smp_mflags}

%install
%make_install
%fdupes %{buildroot}
#find %%{buildroot}%%{_datadir}/omf/%%{name}/ -type l -name "*.omf" -delete -print

%find_lang %{name} --without-gnome
%find_lang %{name} %{name}-doc.lang %{?no_lang_C} --with-gnome --without-mo

sed -i 's/Name\[pt_BR\]=Hearts/Name\[pt_BR\]=Copas/' %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc README NEWS AUTHORS
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/gnome/help/%{name}
%dir %{_datadir}/gnome/help/%{name}/C
%dir %{_datadir}/omf
%dir %{_datadir}/omf/%{name}
%doc %{_datadir}/gnome/help/%{name}/C/%{name}.xml
%doc %{_datadir}/gnome/help/%{name}/C/fdl-appendix.xml
%doc %{_datadir}/gnome/help/%{name}/C/legal.xml
%doc %{_datadir}/omf/%{name}/%{name}-C.omf
%{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man?/%{name}.?%{ext_man}
%license COPYING COPYING-DOCS
  
%files lang -f %{name}.lang

%files doc -f %{name}-doc.lang
%dir %{_datadir}/gnome/
%dir %{_datadir}/gnome/help
%dir %{_datadir}/gnome/help/%{name}
%dir %{_datadir}/omf
%dir %{_datadir}/omf/%{name}

%changelog
* Sat Jun 22 2019 Андрей Алыпов <and.november@opensuse.org>
- update to version 0.3.1
* Sat Jun 22 2019 Андрей Алыпов <and.november@opensuse.org>
- run spec-cleaner
- added lang and doc packages
* Mon Dec 26 2011 gankov@opensuse.org
- Initial for openSUSE
- Used trunk source, for fix build errors
